APMSETUP 7의 XE사용자를 위한 PHP버전업 방법APMSETUP 7의 XE사용자를 위한 PHP버전업 방법

Posted at 2014.05.22 19:30 | Posted in 컴퓨터관련/잡다한정보
글자크게글자작게원래사이즈로


이런식으로 처음 Apache를 중지시켜 준 후

http://windows.php.net/download/

 

VC9 x86 Thread Safe 라고 되어 있는 저 Zip 파일을 다운로드 해줍니다.



그런 후 이런식으로 압축해제해서 덮어 씌우시면 됩니다.

기존 Server/PHP5 폴더는 백업 후

Server/PHP5로 압축 해제를 권합니다.


※ 필수로 봐야 할 것은

VC11 Thread Safe 라고 되어 파일을 다운로드 받은 후 덮어씌우기 하시면 안됩니다.

이유를 간단히 설명하자면
Apache/conf/extra/httpd-php5.conf 파일의
LoadModule php5_module "C:/APM_Setup/Server/PHP5/php5apache2_2.dll" 라고 되어 있는데


VC11 에서는 php5apache2_4.dll로 사용을 합니다.

이거 말고도 경로가 여러개 변경되서 안되는듯?

php.ini 파일에도 경로 수정할 부분이 있던것 같더군요


그다음!
php.ini 파일을 열어서
date.timezone = Asia/seoul << 추가


그다음 재실행 후 localhost 에서 확인해보시면 아래와 같이 확인하실 수 있습니다.



Name __

Password __

Link (Your Website)

Comment

SECRET | 비밀글로 남기기